{
  "images": {
    "header-background": {
      "image": "mainmenu:header-background1.png",
      "posX": -1000,
      "posY": -80,
      "width": 2000,
      "height": 100,
      "alignment": "center"
    },

    "modpack": {
      "image": "mainmenu:modpack2.png",
      "posX": -150,
      "posY": -80,
      "width": 500,
      "height": 100,
      "alignment": "center"
    }
  },

  "buttons": {
    "singleplayer": {
      "text": "Singleplayer",
      "posX": 0,
      "posY": -55,
      "textOffsetX": -10,
      "width": 98,
      "height": 14,
      "normalTextColor": -1,
      "hoverTextColor": 100408,
      "alignment": "left_center",
      "texture": "mainmenu:blankbutton.png",
      "action": {
        "type": "openGui",
        "gui": "singleplayer"
      }
    },
    "multiplayer": {
      "text": "Multiplayer",
      "posX": 0,
      "posY": -41,
      "textOffsetX": -14,
      "width": 98,
      "height": 14,
      "normalTextColor": -1,
      "hoverTextColor": 100408,
      "alignment": "left_center",
      "texture": "mainmenu:blankbutton.png",
      "action": {
        "type": "openGui",
        "gui": "multiplayer"
      }
    },
    "options": {
      "text": "Options",
      "posX": 0,
      "posY": -27,
      "textOffsetX": -23,
      "width": 98,
      "height": 14,
      "normalTextColor": -1,
      "hoverTextColor": 100408,
      "alignment": "left_center",
      "texture": "mainmenu:blankbutton.png",
      "action": {
        "type": "openGui",
        "gui": "options"
      }
    },
    "mods": {
      "text": "Mods",
      "posX": 0,
      "posY": -13,
      "textOffsetX": -29,
      "width": 98,
      "height": 14,
      "normalTextColor": -1,
      "hoverTextColor": 100408,
      "alignment": "left_center",
      "texture": "mainmenu:blankbutton.png",
      "action": {
        "type": "openGui",
        "gui": "mods"
      }
    },
    //"language": {
    //  "text": "Language",
    //  "posX": 0,
    //  "posY": -8,
    //  "textOffsetX": -16,
    //  "width": 98,
    //  "height": 14,
    //  "normalTextColor": -1,
    //  "hoverTextColor": 100408,
    //  "alignment": "left_center",
    //  "texture": "mainmenu:blankbutton.png",
    //  "action": {
    //    "type": "openGui",
    //    "gui": "languages"
    //  }
    //},
    "patreon": {
      "text": "Patreon",
      "posX": -90,
      "posY": -41,
      "textOffsetX": 13,
      "width": 98,
      "height": 14,
      "normalTextColor": -1,
      "hoverTextColor": 100408,
      "alignment": "right_center",
      "texture": "mainmenu:blankbutton.png",
      "action": {
        "type": "openLink",
        "link": "https://www.patreon.com/DragonTechMC"
      }
    },
    "discord": {
      "text": "Discord",
      "posX": -90,
      "posY": -55,
      "textOffsetX": 15,
      "width": 98,
      "height": 14,
      "normalTextColor": -1,
      "hoverTextColor": 100408,
      "alignment": "right_center",
      "texture": "mainmenu:blankbutton.png",
      "action": {
        "type": "openLink",
        "link": "https://discord.gg/45QBNM7"
      }
    },
    "website": {
      "text": "Website",
      "posX": -90,
      "posY": -68,
      "textOffsetX": 15,
      "width": 98,
      "height": 14,
      "normalTextColor": -1,
      "hoverTextColor": 100408,
      "alignment": "right_center",
      "texture": "mainmenu:blankbutton.png",
      "action": {
        "type": "openLink",
        "link": "http://www.dragontechmc.com/"
      }
    },
    "forums": {
      "text": "Forums",
      "posX": -90,
      "posY": -27,
      "textOffsetX": 15,
      "width": 98,
      "height": 14,
      "normalTextColor": -1,
      "hoverTextColor": 100408,
      "alignment": "right_center",
      "texture": "mainmenu:blankbutton.png",
      "action": {
        "type": "openLink",
        "link": "http://www.dragontechmc.com/forum"
      }
    },
    "quit": {
      "text": "Quit",
      "posX": -90,
      "posY": -13,
      "textOffsetX": 22,
      "width": 98,
      "height": 14,
      "tooltip": "Come back soon!",
      "normalTextColor": -1,
      "hoverTextColor": 100408,
      "alignment": "right_center",
      "texture": "mainmenu:blankbutton.png",
      "action": {
        "type": "quit"
      }
    },
    "refresh": {
      "text": "",
      "posX": -20,
      "posY": 0,
      "width": 20,
      "height": 20,
      "alignment": "top_right",
      "texture": "mainmenu:refresh.png",
      "action": {
        "type": "refresh"
      }
    },

    "server": {
      "text": "Official Server",
      "textOffsetX": -4,
      "hoverTextColor": 100408,
      "posX": 0,
      "posY": -68,
      "width": 98,
      "height": 14,
      "alignment": "left_center",
      "texture": "mainmenu:blankbutton.png",
      "action": {
        "type": "connectToServer",
        "ip": "mc.dragontechmc.com:25563"
      }
    }
    },

  "labels": {
    "forge": {
      "text": "Forge #forgeversion#",
      "posX": 2,
      "posY": -19,
      "fontSize": ".6",
      "color": -1,
      "hoverColor": -1,
      "alignment": "bottom_left"
    },
    "modsloaded": {
      "text": "#modsloaded# Mods Loaded",
      "posX": 2,
      "posY": -13,
      "fontSize": ".6",
      "color": -1,
      "hoverColor": -1,
      "alignment": "bottom_left"
    },
    "credit": {
      "text": "Menu by WintersFrost",
      "posX": 2,
      "posY": -7,
      "fontSize": ".6",
      "color": -1,
      "hoverColor": -1,
      "alignment": "bottom_left"
    },
    "minecraft": {
      "text": "Minecraft 1.12.2",
      "posX": -50,
      "posY": -13,
      "fontSize": ".6",
      "color": -1,
      "hoverColor": -1,
      "alignment": "bottom_right"
    },
    "mojang": {
      "text": "Copyright Mojang AB",
      "posX": -65,
      "posY": -7,
      "fontSize": ".6",
      "color": -1,
      "hoverColor": -1,
      "alignment": "bottom_right"
    }
  },

    "other": {
      "background": {
        "image": "mainmenu:background.png",
        "mode": "fill"
      }
    }
  }